# Categories class

Categories table row container

Inheritance
  - Object
  - GenericDocumentWrapper
  - Categories

## Constructors

Categories(GenericDocument document)

## Properties

a ↔ A
  Contains the A sub-document.
  read / write
a1 ↔ A1
  Contains the A1 sub-document.
  read / write
a2 ↔ A2
  Contains the A2 sub-document.
  read / write
b ↔ B
  Contains the B sub-document.
  read / write
b1 ↔ B1?
  Contains the B1 sub-document.
  read / write
be ↔ BE
  Contains the BE sub-document.
  read / write
c ↔ C
  Contains the C sub-document.
  read / write
c1 ↔ C1
  Contains the C1 sub-document.
  read / write
c1e ↔ C1E
  Contains the C1E sub-document.
  read / write
ce ↔ CE
  Contains the CE sub-document.
  read / write
d ↔ D
  Contains the D sub-document.
  read / write
d1 ↔ D1
  Contains the D1 sub-document.
  read / write
d1e ↔ D1E
  Contains the D1E sub-document.
  read / write
de ↔ DE
  Contains the DE sub-document.
  read / write
document ↔ GenericDocument
  read / write inherited
documentType → DocumentType
  read-only override
hashCode → int
  The hash code for this object.
  read-only inherited
l ↔ L
  Contains the L sub-document.
  read / write
m ↔ M
  Contains the M sub-document.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
t ↔ T
  Contains the T sub-document.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
  `"DeDriverLicenseBack.Categories"`
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.
  `"Categories"`